/*
 *    Copyright (C) 2012, 2013 Universidad de Murcia
 *
 *    Authors:
 *        Ginés Dólera Tormo <ginesdt@um.es>
 *        Juan M. Marín Pérez <juanmanuel@um.es>
 *        Jorge Bernal Bernabé <jorgebernal@um.es>
 *        Gregorio Martínez Pérez <gregorio@um.es>
 *        Antonio F. Skarmeta Gómez <skarmeta@um.es>
 *
 *    This file is part of SEMIRAMIS Identity Aggregator (SEMIRAMIS-IA).
 *
 *    SEMIRAMIS-IA is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU Lesser General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    SEMIRAMIS-IA is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Lesser General Public License for more details.
 *
 *    You should have received a copy of the GNU Lesser General Public License
 *    along with SEMIRAMIS-IA. If not, see <http://www.gnu.org/licenses/>.
 *
 */
package eu.semiramis.identityaggregator.commons;

import java.util.List;
import org.joda.time.DateTime;

/**
 * Set of conditions which fulfill or should fulfill tokens
 *
 * @author Ginés Dólera Tormo
 * @author Juan M. Marín Pérez
 * @author Jorge Bernal Bernabé
 * @author Gregorio Martínez Pérez
 * @author Antonio F. Skarmeta Gómez
 */
public class Conditions {

    private DateTime NotBefore = null;
    private DateTime NotOnOrAfter = null;
    private Boolean OneTimeUse = null;
    private List<String> audiencieRestriction = null;
    private String targetDomain = null;

    public DateTime getNotBefore() {
        return NotBefore;
    }

    public void setNotBefore(DateTime NotBefore) {
        this.NotBefore = NotBefore;
    }

    public DateTime getNotOnOrAfter() {
        return NotOnOrAfter;
    }

    public void setNotOnOrAfter(DateTime NotOnOrAfter) {
        this.NotOnOrAfter = NotOnOrAfter;
    }

    public Boolean getOneTimeUse() {
        return OneTimeUse;
    }

    public void setOneTimeUse(Boolean OneTimeUse) {
        this.OneTimeUse = OneTimeUse;
    }

    public List<String> getAudiencieRestriction() {
        return audiencieRestriction;
    }

    public void setAudiencieRestriction(List<String> audiencieRestriction) {
        this.audiencieRestriction = audiencieRestriction;
    }

    public String getTargetDomain() {
        return targetDomain;
    }

    public void setTargetDomain(String targetDomain) {
        this.targetDomain = targetDomain;
    }
}
