/*
 *    Copyright (C) 2012, 2013 Universidad de Murcia
 *
 *    Authors:
 *        Ginés Dólera Tormo <ginesdt@um.es>
 *        Juan M. Marín Pérez <juanmanuel@um.es>
 *        Jorge Bernal Bernabé <jorgebernal@um.es>
 *        Gregorio Martínez Pérez <gregorio@um.es>
 *        Antonio F. Skarmeta Gómez <skarmeta@um.es>
 *
 *    This file is part of SEMIRAMIS Identity Aggregator (SEMIRAMIS-IA).
 *
 *    SEMIRAMIS-IA is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU Lesser General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    SEMIRAMIS-IA is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Lesser General Public License for more details.
 *
 *    You should have received a copy of the GNU Lesser General Public License
 *    along with SEMIRAMIS-IA. If not, see <http://www.gnu.org/licenses/>.
 *
 */
package eu.semiramis.identityaggregator;

/**
 * PDPException
 *
 * @author Ginés Dólera Tormo
 * @author Juan M. Marín Pérez
 * @author Jorge Bernal Bernabé
 * @author Gregorio Martínez Pérez
 * @author Antonio F. Skarmeta Gómez
 */
public class PDPException extends Exception {

    /**
     * Creates a new instance of <code>PDPException</code> without detail message.
     */
    public PDPException() {
    }

    /**
     * Constructs an instance of <code>PDPException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public PDPException(String msg) {
        super(msg);
    }

    /**
     * Constructs an instance of <code>PDPException</code> with the specified cause.
     * @param cause the cause.
     */
    public PDPException(Throwable cause) {
        super(cause);
    }

    /**
     * Constructs an instance of <code>PDPException</code> with the specified detail message and cause.
     * @param msg the detail message.
     * @param cause the cause.
     */
    public PDPException(String msg, Throwable cause) {
        super(msg, cause);
    }
}
