/*
 *    Copyright (C) 2012, 2013 Universidad de Murcia
 *
 *    Authors:
 *        Ginés Dólera Tormo <ginesdt@um.es>
 *        Juan M. Marín Pérez <juanmanuel@um.es>
 *        Jorge Bernal Bernabé <jorgebernal@um.es>
 *        Gregorio Martínez Pérez <gregorio@um.es>
 *        Antonio F. Skarmeta Gómez <skarmeta@um.es>
 *
 *    This file is part of SEMIRAMIS Identity Aggregator (SEMIRAMIS-IA).
 *
 *    SEMIRAMIS-IA is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU Lesser General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    SEMIRAMIS-IA is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Lesser General Public License for more details.
 *
 *    You should have received a copy of the GNU Lesser General Public License
 *    along with SEMIRAMIS-IA. If not, see <http://www.gnu.org/licenses/>.
 *
 */
package eu.semiramis.identityaggregator;

import java.util.Date;

/**
 * RequestorCertInfo
 *
 * @author Ginés Dólera Tormo
 * @author Juan M. Marín Pérez
 * @author Jorge Bernal Bernabé
 * @author Gregorio Martínez Pérez
 * @author Antonio F. Skarmeta Gómez
 */
public class RequestorCertInfo {

    protected int version;
    protected String serialNumber;
    protected String issuer;
    protected String subject;
    protected Date validNotBefore;
    protected Date validNotAfter;
    protected String fingerprint;
    protected String publicKeyType;
    protected String publicKey;
    protected boolean valid;

    /**
     * Get the value of Version
     *
     * @return the value of Version
     */
    public int getVersion() {
        return version;
    }

    /**
     * Set the value of Version
     *
     * @param Version new value of Version
     */
    public void setVersion(int version) {
        this.version = version;
    }

    /**
     * Get the value of SerialNumber
     *
     * @return the value of SerialNumber
     */
    public String getSerialNumber() {
        return serialNumber;
    }

    /**
     * Set the value of SerialNumber
     *
     * @param serialNumber new value of SerialNumber
     */
    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    /**
     * Get the value of Issuer
     *
     * @return the value of Issuer
     */
    public String getIssuer() {
        return issuer;
    }

    /**
     * Set the value of Issuer
     *
     * @param issuer new value of Issuer
     */
    public void setIssuer(String issuer) {
        this.issuer = issuer;
    }

    /**
     * Get the value of Subject
     *
     * @return the value of Subject
     */
    public String getSubject() {
        return subject;
    }

    /**
     * Set the value of Subject
     *
     * @param subject new value of Subject
     */
    public void setSubject(String subject) {
        this.subject = subject;
    }

    /**
     * Get the value of ValidNotBefore
     *
     * @return the value of ValidNotBefore
     */
    public Date getValidNotBefore() {
        return validNotBefore;
    }

    /**
     * Set the value of ValidNotBefore
     *
     * @param validNotBefore new value of ValidNotBefore
     */
    public void setValidNotBefore(Date validNotBefore) {
        this.validNotBefore = validNotBefore;
    }

    /**
     * Get the value of ValidNotAfter
     *
     * @return the value of ValidNotAfter
     */
    public Date getValidNotAfter() {
        return validNotAfter;
    }

    /**
     * Set the value of ValidNotAfter
     *
     * @param validNotAfter new value of ValidNotAfter
     */
    public void setValidNotAfter(Date validNotAfter) {
        this.validNotAfter = validNotAfter;
    }

    /**
     * Get the value of Fingerprint
     *
     * @return the value of Fingerprint
     */
    public String getFingerprint() {
        return fingerprint;
    }

    /**
     * Set the value of CertificateFingerprint
     *
     * @param fingerprint new value of CertificateFingerprint
     */
    public void setFingerprint(String fingerprint) {
        this.fingerprint = fingerprint;
    }

    /**
     * Get the value of PublicKeyType
     *
     * @return the value of PublicKeyType
     */
    public String getPublicKeyType() {
        return publicKeyType;
    }

    /**
     * Set the value of PublicKeyType
     *
     * @param publicKeyType new value of PublicKeyType
     */
    public void setPublicKeyType(String publicKeyType) {
        this.publicKeyType = publicKeyType;
    }

    /**
     * Get the value of PublicKey
     *
     * @return the value of PublicKey
     */
    public String getPublicKey() {
        return publicKey;
    }

    /**
     * Set the value of PublicKey
     *
     * @param publicKey new value of PublicKey
     */
    public void setPublicKey(String publicKey) {
        this.publicKey = publicKey;
    }
    protected String encodedCertificate;

    /**
     * Get the value of EncodedCertificate
     *
     * @return the value of EncodedCertificate
     */
    public String getEncodedCertificate() {
        return encodedCertificate;
    }

    /**
     * Set the value of EncodedCertificate
     *
     * @param encodedCertificate new value of EncodedCertificate
     */
    public void setEncodedCertificate(String encodedCertificate) {
        this.encodedCertificate = encodedCertificate;
    }

    /**
     * Get the value of valid
     *
     * @return the value of valid
     */
    public boolean isValid() {
        return valid;
    }

    /**
     * Set the value of valid
     *
     * @param valid new value of valid
     */
    public void setValid(boolean valid) {
        this.valid = valid;
    }
}
